# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

from ecology.flora.plantRecognizer import plantRecognizer_pb2 as ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2


class PlantRecognizerGrpcStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.TrainNet = channel.unary_unary(
                '/ecology.flora.plantRecognizer.PlantRecognizerGrpc/TrainNet',
                request_serializer=ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2.TrainNetRequest.SerializeToString,
                response_deserializer=ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2.TrainNetResponse.FromString,
                )
        self.UpdateDataSet = channel.unary_unary(
                '/ecology.flora.plantRecognizer.PlantRecognizerGrpc/UpdateDataSet',
                request_serializer=ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2.UpdateDataSetRequest.SerializeToString,
                response_deserializer=ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2.UpdateDataSetResponse.FromString,
                )
        self.PredictNet = channel.unary_unary(
                '/ecology.flora.plantRecognizer.PlantRecognizerGrpc/PredictNet',
                request_serializer=ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2.PredictNetRequest.SerializeToString,
                response_deserializer=ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2.PredictNetResponse.FromString,
                )


class PlantRecognizerGrpcServicer(object):
    """Missing associated documentation comment in .proto file."""

    def TrainNet(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def UpdateDataSet(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def PredictNet(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_PlantRecognizerGrpcServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'TrainNet': grpc.unary_unary_rpc_method_handler(
                    servicer.TrainNet,
                    request_deserializer=ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2.TrainNetRequest.FromString,
                    response_serializer=ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2.TrainNetResponse.SerializeToString,
            ),
            'UpdateDataSet': grpc.unary_unary_rpc_method_handler(
                    servicer.UpdateDataSet,
                    request_deserializer=ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2.UpdateDataSetRequest.FromString,
                    response_serializer=ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2.UpdateDataSetResponse.SerializeToString,
            ),
            'PredictNet': grpc.unary_unary_rpc_method_handler(
                    servicer.PredictNet,
                    request_deserializer=ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2.PredictNetRequest.FromString,
                    response_serializer=ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2.PredictNetResponse.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'ecology.flora.plantRecognizer.PlantRecognizerGrpc', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class PlantRecognizerGrpc(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def TrainNet(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/ecology.flora.plantRecognizer.PlantRecognizerGrpc/TrainNet',
            ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2.TrainNetRequest.SerializeToString,
            ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2.TrainNetResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def UpdateDataSet(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/ecology.flora.plantRecognizer.PlantRecognizerGrpc/UpdateDataSet',
            ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2.UpdateDataSetRequest.SerializeToString,
            ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2.UpdateDataSetResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def PredictNet(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/ecology.flora.plantRecognizer.PlantRecognizerGrpc/PredictNet',
            ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2.PredictNetRequest.SerializeToString,
            ecology_dot_flora_dot_plantRecognizer_dot_plantRecognizer__pb2.PredictNetResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
